package co.pixelbeard.theanfieldwrap.forgotPassword;

public interface ForgotPasswordFragmentListener {

    void setForgotPasswordEmailFrag();

    void setForgotPasswordAuthFrag();

    void setForgotPasswordNewPasswordFrag();

    void requestPasswordReset();

    void resetPassword();

    void setEmail(String email);

    void setConfirmationCode(String code);

    void setNewPassword(String password);

    void enableButton();

    void disableButton();

    void showLoader(String text);

    void hideLoader();
}
